<%
// loginMainForm.inc
// Copyright (c) 2000 - 2010 Citrix Systems, Inc. All Rights Reserved.
// Web Interface 5.3.0.0
%>
<%
ClientInfo clientInfo = wiContext.getClientInfo();
%>

<%
// need to do the hidden field first so it doesn't
// invalidate the table layout below
if (!viewControl.getShowLoginTypeOptions()) {
%>
    <input type="hidden" name="<%=Constants.ID_LOGIN_TYPE%>"
<% // LoginType set to Explicit, but only if it is allowed
   if (viewControl.getExplicitDisabled()) {
%>
      value="">
<% } else { %>
      value="<%=WIAuthType.EXPLICIT%>">
<% } %>
<%
}
%>

<table class="loginForm">
<%
if (viewControl.getShowLoginTypeOptions()) {
%>
<tr><td>
      <label id='lblLoginType' for='<%=Constants.ID_LOGIN_TYPE%>'
          <%=viewControl.getAllUIDisabledStr()%> >
        <%=wiContext.getString("LoginType")%>
      </label>
</td>
<% if(Include.isCompactLayout(wiContext)){%>
</tr><tr>
<%}%>
<td>
      <select name='<%=Constants.ID_LOGIN_TYPE%>' id='<%=Constants.ID_LOGIN_TYPE%>' <%=viewControl.getAllUIDisabledStr()%>
        class='loginTypeOptionEntries'
        size='1' onchange='onChangeLoginType(this.form)'>
<%
    if( viewControl.allowedLogonModes().contains( WIAuthType.ANONYMOUS ) ) {
%>
        <option value='<%=WIAuthType.ANONYMOUS%>' <%=viewControl.getAnonymousSelectedStr()%>>
          <%=wiContext.getString("AnonymousUser")%>
        </option>
<%
    }
    if( viewControl.allowedLogonModes().contains( WIAuthType.CERTIFICATE_SINGLE_SIGN_ON ) ) {
%>
        <option value='<%=WIAuthType.CERTIFICATE_SINGLE_SIGN_ON%>'  <%=viewControl.getCertificateSSONSelectedStr()%>>
          <%=wiContext.getString("CertificateSSONUser")%>
        </option>
<%
    }
    if( viewControl.allowedLogonModes().contains( WIAuthType.CERTIFICATE ) ) {
%>
        <option value='<%=WIAuthType.CERTIFICATE%>' <%=viewControl.getCertificateSelectedStr()%>>
          <%=wiContext.getString("CertificateUser")%>
        </option>
<%
    }
    if( viewControl.allowedLogonModes().contains( WIAuthType.SINGLE_SIGN_ON ) ) {
%>
        <option value='<%=WIAuthType.SINGLE_SIGN_ON%>' <%=viewControl.getSSONSelectedStr()%>>
          <%=wiContext.getString("SingleSignOnUser")%>
        </option>
<%
    }
    if( viewControl.allowedLogonModes().contains( WIAuthType.EXPLICIT ) ) {
%>
        <option value='<%=WIAuthType.EXPLICIT%>' <%=viewControl.getExplicitSelectedStr()%>>
          <%=wiContext.getString("ExplicitUser")%>
        </option>
<%
    }
%>
    </select>
</td>
<% if(!Include.isCompactLayout(wiContext)){%>
<td>
    <%=UIUtils.generateHelpLinkMarkup(wiContext, "Help_LoginMethod", "inlineHelpLink")%>
    <div id='<%=UIUtils.getPopupId("Help_LoginMethod")%>' class="wiPopup" ><%=viewControl.getLoginMethodInlineHelp(wiContext)%></div>
</td>
<%}%>
</tr>
<% // End LoginType
} //End viewControl.getShowLoginTypeOptions
%>

<tr><td>
      <label id='lblUserName' for='<%=Constants.ID_USER%>'
        <%=viewControl.getExplicitDisabledStr()%>
        class='<%=viewControl.getLabelClass(Constants.ID_USER)%>'
        >
        <%=viewControl.getLabelPrefix(Constants.ID_USER)%><%=wiContext.getString("UserName")%>
      </label>
</td>
<% if(Include.isCompactLayout(wiContext)){%>
</tr><tr>
<% }%>
<td colspan="2">
      <input type='text' name='<%=Constants.ID_USER%>' id='<%=Constants.ID_USER%>'
        class='loginEntries<%=viewControl.getExplicitDisabled()?" loginEntriesDisabled":""%>'
        maxlength='<%=Constants.LOGIN_ENTRY_MAX_LENGTH%>' <%=viewControl.getExplicitDisabledStr()%>
<%
if (viewControl.getUserName() != null) {
%>
        value='<%=WebUtilities.escapeHTML(viewControl.getUserName())%>'
<%
}
%>
        onkeyup='onUsernameTextEntry(this.form)'
        onChange='onUsernameTextEntry(this.form)'>
</td></tr>
<% // End Username
if (viewControl.getShowPassword()) {
%>
<tr><td>
      <label id='lblPasswd' for='<%=Constants.ID_PASSWORD%>'
        <%=viewControl.getExplicitDisabledStr()%> >
        <%=wiContext.getString("Password")%>
      </label>
</td>
<% if(Include.isCompactLayout(wiContext)){%>
</tr><tr>
<% }%>
<td colspan="2">
      <input type='password' name='<%=Constants.ID_PASSWORD%>' id='<%=Constants.ID_PASSWORD%>'
        class='loginEntries<%=viewControl.getExplicitDisabled()?" loginEntriesDisabled":""%>'
        maxlength='<%=Constants.LOGIN_ENTRY_MAX_LENGTH%>'
        <%=viewControl.getExplicitDisabledStr()%>>
</td></tr>
<% // End Password
} else if (viewControl.getShowPasscode()) { //if passcode is visible, but password is not, then replace the password field with the passcode field
%>
<tr><td>
      <label id='lblPasscode' for='<%=Constants.ID_PASSCODE%>'
          <%=viewControl.getExplicitDisabledStr()%>>
          <%=wiContext.getString("Passcode")%>
      </label>
</td>
<% if(Include.isCompactLayout(wiContext)){%>
</tr><tr>
<% }%>
<td>
      <input type='password' name='<%=Constants.ID_PASSCODE%>' id='<%=Constants.ID_PASSCODE%>'
        class='loginEntries<%=viewControl.getExplicitDisabled()?" loginEntriesDisabled":""%>'
        maxlength='<%=Constants.LOGIN_ENTRY_MAX_LENGTH%>' <%=viewControl.getExplicitDisabledStr()%>>
</td>
<% if(!Include.isCompactLayout(wiContext)){%>
<td>
      <%=UIUtils.generateHelpLinkMarkup(wiContext, "Help_Passcode", "inlineHelpLink")%>
      <div id='<%=UIUtils.getPopupId("Help_Passcode")%>' class="wiPopup" ><%=wiContext.getString("Help_Passcode")%></div>
</td>
<% }%>
</tr>
<% // End Passcode
}
if (viewControl.getShowDomain()) {
%>
<tr><td>
      <label id='lblDomain' for='<%=Constants.ID_DOMAIN%>'
        <%=viewControl.getDomainDisabledStr()%>
        class='<%=viewControl.getLabelClass(Constants.ID_DOMAIN)%>'
      >
        <%=viewControl.getLabelPrefix(Constants.ID_DOMAIN)%><%=wiContext.getString("Domain")%>
      </label>
</td>
<% if(Include.isCompactLayout(wiContext)){%>
</tr><tr>
<% }%>
<td>
  <% if (viewControl.getNumLoginDomainSelection() > 0) { %>
    <select size='1'
        class='loginTypeOptionEntries<%=viewControl.getDomainDisabled()?" loginEntriesDisabled":""%>'
        name='<%=Constants.ID_DOMAIN%>' id='<%=Constants.ID_DOMAIN%>'
    <%=viewControl.getDomainDisabledStr()%>>
    <%
        for (int i=0; i < viewControl.getNumLoginDomainSelection(); i++) {
        String domainName = viewControl.getLoginDomainSelection()[i];
    %>
        <option value='<%=WebUtilities.escapeHTML(domainName)%>' <%=viewControl.getDomainSelectedStr(domainName)%>>
            <%=WebUtilities.escapeHTML(domainName)%>
        </option>
    <% } %>
    </select>
  <% } else { %>
    <input type='text'
        class='loginEntries<%=viewControl.getDomainDisabled()?" loginEntriesDisabled":""%>'
        name='<%=Constants.ID_DOMAIN%>' id='<%=Constants.ID_DOMAIN%>'
        MAXLENGTH='<%=Constants.LOGIN_ENTRY_MAX_LENGTH%>'
        <%=viewControl.getDomainDisabledStr()%>
    <% if (viewControl.getDomain() != null) { %>
        value='<%=WebUtilities.escapeHTML(viewControl.getDomain())%>'
    <% } %>
    >
  <% } %>
</td>
<% if(!Include.isCompactLayout(wiContext)){%>
<td>
  <%=UIUtils.generateHelpLinkMarkup(wiContext, "Help_Domain", "inlineHelpLink")%>
  <div id='<%=UIUtils.getPopupId("Help_Domain")%>' class="wiPopup" ><%=wiContext.getString("Help_Domain")%></div>
</td>
<% }%>
</tr>
<% } // End Domain
if (viewControl.getNDSEnabled()) {
    if (viewControl.getNumNDSContexts() > 0 || viewControl.getShowFindContext()) {
%>
<tr><td>
      <label id='lblContext' for='<%=Constants.ID_CONTEXT%>'
        class='<%=viewControl.getLabelClass(Constants.ID_CONTEXT)%>'
        >
        <%=viewControl.getLabelPrefix(Constants.ID_CONTEXT)%><%=wiContext.getString("Context")%>
      </label>
</td>
<% if(Include.isCompactLayout(wiContext)){%>
</tr><tr>
<% }%>
<td>
      <select name='<%=Constants.ID_CONTEXT%>' id='<%=Constants.ID_CONTEXT%>'
        class='loginTypeOptionEntries' size='1'>
<%
        // Find context is always at the top of the list if it is present
        // Only selected if there are no found contexts being shown
        if (viewControl.getShowFindContext()) {
%>
        <option <%=(viewControl.getNumNDSContexts() > 0) ? "" : "selected"%>>
          <%=wiContext.getString("lookupContextString")%>
        </option>
<%
        }
        if (viewControl.getNumNDSContexts() > 0) {
            for (int j=0; j < viewControl.getNumNDSContexts(); j++) {
%>
        <option <%=(j == 0) ? "selected" : ""%>
            value='<%=WebUtilities.escapeHTML(viewControl.getNDSContexts()[j])%>'>
            <%=WebUtilities.escapeHTML(viewControl.getNDSContexts()[j])%>
        </option>
<%
            }
        }
%>
    </select>
</td>
<% if(!Include.isCompactLayout(wiContext)){%>
<td>
    <%=UIUtils.generateHelpLinkMarkup(wiContext, "Help_NDSContext", "inlineHelpLink")%>
    <div id='<%=UIUtils.getPopupId("Help_NDSContext")%>' class="wiPopup" ><%=wiContext.getString("Help_NDSContext")%></div>
</td>
<% }%>
</tr>
<%
}
%>
<tr><td>
     <label id='lblTree' for='<%=Constants.ID_TREE%>'>
      <%=wiContext.getString("NDSTree")%>
      </label>
</td>
<% if(Include.isCompactLayout(wiContext)){%>
</tr><tr>
<% }%>
<td>
      <input type='text' readonly name='<%=Constants.ID_TREE%>' id='<%=Constants.ID_TREE%>'
          class='loginTreeEntry' value='<%=WebUtilities.escapeHTML(viewControl.getNDSTree())%>'>
</td>
<% if(!Include.isCompactLayout(wiContext)){%>
<td>
      <%=UIUtils.generateHelpLinkMarkup(wiContext, "Help_NDSTree", "inlineHelpLink")%>
      <div id='<%=UIUtils.getPopupId("Help_NDSTree")%>' class="wiPopup" ><%=wiContext.getString("Help_NDSTree")%></div>
</td>
<% }%>
</tr>
<% // End NDS Tree
}

if (viewControl.getShowPasscode() && viewControl.getShowPassword() ) { //only display the passcode field here if the password field is displayed above
%>
<tr><td>
      <label id='lblPasscode' for='<%=Constants.ID_PASSCODE%>'
          <%=viewControl.getExplicitDisabledStr()%> >
          <%=wiContext.getString("Passcode")%>
      </label>
</td>
<% if(Include.isCompactLayout(wiContext)){%>
</tr><tr>
<% }%>
<td>
      <input type='password' name='<%=Constants.ID_PASSCODE%>' id='<%=Constants.ID_PASSCODE%>' 
        class='loginEntries<%=viewControl.getExplicitDisabled()?" loginEntriesDisabled":""%>'
        maxlength='<%=Constants.LOGIN_ENTRY_MAX_LENGTH%>' <%=viewControl.getExplicitDisabledStr()%>>
</td>
<% if(!Include.isCompactLayout(wiContext)){%>
<td>
      <%=UIUtils.generateHelpLinkMarkup(wiContext, "Help_Passcode", "inlineHelpLink")%>
      <div id='<%=UIUtils.getPopupId("Help_Passcode")%>' class="wiPopup" ><%=wiContext.getString("Help_Passcode")%></div>
</td>
<% }%>
</tr>
<% // End Passcode
}
 if (viewControl.getShowLoginButton() ) {
 String colSpanValue = (viewControl.getShowAnyInlineHelp(wiContext))? "2" : "3";
%>
<tr><td colspan="<%=colSpanValue%>" class="loginButtonPane">
<%
  if(!Include.isCompactLayout(wiContext)) {
%>
    <table id="graphic_LoginButton" cellspacing="0" cellpadding="0" align="right">

           <tr valign='middle'>
      		<td align='center' colspan='3'>
			<img id="imgTuring" style='display: none; padding-left: 5px; padding-right: 5px'>
		<td>
        </tr>

      <tr><td>
	<div class="otcButtonPane"><a
           href="javascript:onTuringButtonClick()" title="Click this button to retrieve a PinSafe code image."
           onmouseover="changeOtcBtnColor(true);" onmouseout="changeOtcBtnColor(false);"
           onfocus="changeOtcBtnColor(true);" onblur="changeOtcBtnColor(false);"
           tabIndex="<%=Constants.TAB_INDEX_FORM%>"
           id="<%=Constants.ID_OTC_BTN%>"
           name="<%=Constants.ID_OTC_BTN%>"
        ><img id="otcButtonBg" src="../media/LoginButtonGlow.gif" alt="" /><span id="otcButtonWrapper">Get Code</span></a></div>
      <div class="loginButtonPane"><a
           href="javascript:submitForm()" title="<%=wiContext.getString("TipLoginButton")%>"
           onmouseover="changeLoginBtnColor(true);" onmouseout="changeLoginBtnColor(false);"
           onfocus="changeLoginBtnColor(true);" onblur="changeLoginBtnColor(false);"
           id="<%=Constants.ID_LOGIN_BTN%>"
           name="<%=Constants.ID_LOGIN_BTN%>"
        ><img id="loginButtonBg" src="../media/LoginButtonGlow.gif" alt="" /><span id="loginButtonWrapper"><%=wiContext.getString("LogIn")%></span></a>
      </div>
      </td></tr>
    </table>
    <%
       // This button is here to display when the user has enabled high contrast mode.
       // By default this button will be hidden
    %>
    <table id="highContrast_LoginButton" cellspacing="0" cellpadding="0" align="right">
      <tr><td>
       <input type="button" name="<%=Constants.ID_OTC_BTN%>"
          value='Get Code'
          title="Click this button to retrieve a PinSafe code image."
          onClick="javascript:onTuringButtonClick()" />&nbsp;
       <input type="submit" name="login"
          value='<%=wiContext.getString("LogIn")%>'
          title="<%=wiContext.getString("TipLoginButton")%>"
          onClick="this.disabled=true;form.submit()"
         <%=viewControl.getAllUIDisabledStr()%>>
      </td></tr>
    </table>
<%
} else {
%>
    <input id="<%=Constants.ID_LOGIN_BTN%>" type="submit" name="login"
          value='<%=wiContext.getString("LogIn")%>'
          title="<%=wiContext.getString("TipLoginButton")%>"
          onClick="this.disabled=true;form.submit()"
         <%=viewControl.getAllUIDisabledStr()%>>
<%
}
%>
</td></tr>
<%
}
if (viewControl.getShowPassword() && viewControl.getShowAccountSelfService()) {
%>
<tr><td colspan="2" class="loginButtonPane" id='<%=Constants.ID_ACCOUNTSS%>'>
    <a id="loginAcctSSLink" class="dockRight" href="<%=Constants.PAGE_LOGIN%>?<%=Constants.QSTR_START_SELF_SERVICE%>=<%=Constants.VAL_ON%>"
       ><%=wiContext.getString(viewControl.getAccountSelfServiceLinkTextKey())%></a>
</td></tr>
<%
  } //end getShowAccountSelfService
%>
</table>
